import {StyleSheet} from 'react-native';
import {argonTheme} from '../../constants';

export const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: argonTheme.COLORS.GRAY_100,
  },
  title: {
    flex: 1,
    width: '100%',
    justifyContent: 'center',
    marginBottom: 20,
    backgroundColor: argonTheme.COLORS.ERROR,
  },
  title_header: {
    fontSize: 28,
    width: '100%',
    textAlign: 'center',
    color: argonTheme.COLORS.BLACK,
  },
  title_message: {
    fontSize: 16,
    textAlign: 'center',
  },
  dot_container: {
    flex: 0.2,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: argonTheme.COLORS.BLACK,
  },
  dot: {
    width: 20,
    height: 20,
    marginHorizontal: 6,
    borderRadius: 5,
    borderWidth: 2,
    borderColor: argonTheme.COLORS.BLACK,
    backgroundColor: argonTheme.COLORS.WHITE,
    shadowColor: argonTheme.COLORS.GRAY,
    elevation: 2,
  },
  keyboard: {
    flex: 4,
    width: '100%',
    padding: 10,
    marginTop: 25,
    alignItems: 'center',
    justifyContent: 'center',
  },
  number_wrapper: {
    width: '100%',
    flexDirection: 'row',
    justifyContent: 'center',
    margin: '1%',
  },
  number_box: {
    width: 80,
    height: 80,
    margin: 10,
    borderWidth: 3,
    borderColor: '#e0e0e0',
    borderRadius: 50,
  },
  number: {
    flex: 1,
    width: '100%',
    textAlign: 'center',
    textAlignVertical: 'center',
    fontSize: 25,
    color: argonTheme.COLORS.BLACK,
  },
  // Block component
  block_title_container: {
    flex: 1,
    width: '100%',
    alignItems: 'center',
    justifyContent: 'center',
  },
  block_title: {fontSize: 19, color: argonTheme.COLORS.GRAY},
  timer_container: {
    flex: 2,
    width: '100%',
    alignItems: 'center',
    justifyContent: 'center',
  },
  timer: {
    paddingVertical: 10,
    paddingHorizontal: 28,
    borderWidth: 3,
    borderColor: argonTheme.COLORS.GRAY,
    fontSize: 20,
    textAlign: 'center',
    textAlignVertical: 'center',
    borderRadius: 5,
  },
  icon_container: {
    flex: 2,
    margin: 10,
    alignItems: 'center',
    justifyContent: 'center',
  },
  icon_wrapper: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
  },
  icon: {
    textAlign: 'center',
    textAlignVertical: 'center',
    backgroundColor: argonTheme.COLORS.ERROR,
    padding: 10,
    borderRadius: 20,
  },
  message_container: {
    flex: 2,
    width: '100%',
    alignItems: 'center',
    justifyContent: 'flex-start',
    padding: 50,
  },
  message: {textAlign: 'center', fontSize: 18, lineHeight: 25},
});
